Subject: Re: [PATCH v3 00/12][next] Specify hooks via configs

From: Adrian Ratiu <[email-masked]>
Date: Mon, 02 Mar 2026 19:04:36 +0200

On Mon, 02 Mar 2026, Junio C Hamano <[email-masked]> wrote:
> Adrian Ratiu <[email-masked]> writes:
>
>> Hello everyone,
>>
>> v3 addresses all feedback received in v2 (details below, including range-diff).
>>
>> This series adds a new feature: the ability to specify commands to run
>> for hook events via config entries (including shell commands).
>>
>> So instead of dropping a shell script or a custom program in .git/hooks
>> you can now tell git via config files to run a program or shell script
>> (can be specified directly in the config) when you run hook "foo".
>>
>> This also means you can setup global hooks to run in multiple repos via
>> global configs and there's an option to disable them if necessary.
>>
>> For simplicity, because this series is becoming rather big, hooks are
>> still executed sequentially (.jobs == 1). Parallel execution is added
>> in another follow-up patch series.
>>
>> This is based on the latest next branch because it depends on some
>> commits which haven't yet landed in master.
>
> Please don't depend a series on 'next'.  That will make your topic
> taken hostage by _every_ topic there.
>
> Besides, the ar/config-hooks topic has been in 'next' for the last
> few days already, and it is time to go incremental updates.

Understood. I don't think there is anything breaking in the config topic
v2 as it landed, so I'll create incremental patches on top of it to
address the feedback I've addressed in v3 here.

Thanks!